<?php
/**
 * @package krystal-shop
 */


/**
 * Krystal Shop Header Style 1
 */
if ( ! function_exists( 'krystal_shop_header_style_1' ) ) :
function krystal_shop_header_style_1() {
	?>
		<header id="home-inner" class="menu-wrapper style-1 elementor-menu-anchor">
			<a class="skip-link screen-reader-text" href="#maincontent"><?php esc_html_e( 'Skip to content', 'krystal-shop' ); ?></a>
			<?php krystal_before_menu(); ?>
	        <div class="navigation" class="scroll-fix">
		        <div class="container">                                                       
		            <div class="row">
		            	<div class="logo">
			                <?php 
			                	if (has_custom_logo()){
			                		krystal_the_custom_logo();
			                	}	                		                	
			                ?>
			                <?php 
			                    $alt_logo=esc_url(get_theme_mod( 'kr_alt_logo' ));
			                	if(!empty($alt_logo)) {
				                	?>
				                		<a id="logo-alt" class="logo-alt" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo esc_url( get_theme_mod( 'kr_alt_logo' ) ); ?>" alt="logo"></a>
				                	<?php
				                }		                
			                ?>
			                <?php
				                $show_title   = ( true === get_theme_mod( 'kr_display_site_title_tagline', true ) );
								$header_class = $show_title ? 'site-title' : 'screen-reader-text';
								if(!empty(get_bloginfo( 'name' ))) {
									if ( is_front_page() ) {
								        ?>
				                			<h1 class="<?php echo esc_attr( $header_class ); ?>">
										        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_html(bloginfo( 'name' )); ?></a>
										    </h1>

										<?php

										if(true === get_theme_mod( 'kr_display_site_title_tagline', true )) {
											$description = esc_html(get_bloginfo( 'description', 'display' ));
									        if ( $description || is_customize_preview() ) { 
									            ?>
									                <p class="site-description"><?php echo $description; ?></p>
									            <?php 
									        }
										}
									}
									else {
										?>
											<p class="<?php echo esc_attr( $header_class ); ?>">
										        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_html(bloginfo( 'name' )); ?></a>
										    </p>
										<?php

										if(true === get_theme_mod( 'kr_display_site_title_tagline', true )) {
											$description = esc_html(get_bloginfo( 'description', 'display' ));
									        if ( $description || is_customize_preview() ) { 
									            ?>
									                <p class="site-description"><?php echo $description; ?></p>
									            <?php 
									        }
										}
									}
								}
								
			                ?>
			            </div>
			            <?php 
			            	if(function_exists('krystal_shop_woocommerce_show_cart')) :
			            		krystal_shop_woocommerce_show_cart();		
			            	endif; 
			            ?>
			            <div class="top-menu navbar" id="top-menu-wrapper">
			            	<div class="navigation">
	                           	<nav class="krystal-main-menu navbar" id="krystal-main-menu-wrapper">
                                    <div class="navbar-header">
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-1" aria-expanded="false">
                                        	<span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'krystal' ); ?></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>
                                    </div>
                                    <div class="collapse navbar-collapse" id="navbar-collapse-1">
	                                    <?php
	                                        wp_nav_menu( array(
	                                            'theme_location'    => 'primary',
	                                            'depth'             => 3,  // This displays menu level of depth 3 only
	                                            'container'         => 'ul',
	                                            'container_class'   => '',
	                                            'container_id'      => 'menu-primary',
	                                            'menu_class'        => 'nav',
	                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
	                                            'walker'            => new wp_bootstrap_navwalker())
	                                        );
	                                    ?>
	                                    <a class="popup-close hidden-md hidden-lg" href="#"></a>
	                                </div>
	                            </nav>
	                        </div>
	                    </div>
		            </div>
		        </div>
		    </div>
	    </header> 
	<?php	
}
endif;



/**
 * Krystal Shop Header Style 2
 */
if ( ! function_exists( 'krystal_shop_header_style_2' ) ) :
function krystal_shop_header_style_2() {
	?>
		<header id="home-inner" class="menu-wrapper style-2 elementor-menu-anchor">
			<a class="skip-link screen-reader-text" href="#maincontent"><?php esc_html_e( 'Skip to content', 'krystal-shop' ); ?></a>
			<?php krystal_before_menu(); ?>
	        <div class="navigation" class="scroll-fix">
		        <div class="container">                                                       
		            <div class="row">
		            	<div class="logo">
			                <?php 
			                	if (has_custom_logo()){
			                		krystal_the_custom_logo();
			                	}	                		                	
			                ?>
			                <?php 
			                    $alt_logo=esc_url(get_theme_mod( 'kr_alt_logo' ));
			                	if(!empty($alt_logo)) {
				                	?>
				                		<a id="logo-alt" class="logo-alt" href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo esc_url( get_theme_mod( 'kr_alt_logo' ) ); ?>" alt="logo"></a>
				                	<?php
				                }		                
			                ?>
			                <?php
				                $show_title   = ( true === get_theme_mod( 'kr_display_site_title_tagline', true ) );
								$header_class = $show_title ? 'site-title' : 'screen-reader-text';
								if(!empty(get_bloginfo( 'name' ))) {
									if ( is_front_page() ) {
								        ?>
				                			<h1 class="<?php echo esc_attr( $header_class ); ?>">
										        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_html(bloginfo( 'name' )); ?></a>
										    </h1>

										<?php

										if(true === get_theme_mod( 'kr_display_site_title_tagline', true )) {
											$description = esc_html(get_bloginfo( 'description', 'display' ));
									        if ( $description || is_customize_preview() ) { 
									            ?>
									                <p class="site-description"><?php echo $description; ?></p>
									            <?php 
									        }
										}
									}
									else {
										?>
											<p class="<?php echo esc_attr( $header_class ); ?>">
										        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_html(bloginfo( 'name' )); ?></a>
										    </p>
										<?php

										if(true === get_theme_mod( 'kr_display_site_title_tagline', true )) {
											$description = esc_html(get_bloginfo( 'description', 'display' ));
									        if ( $description || is_customize_preview() ) { 
									            ?>
									                <p class="site-description"><?php echo $description; ?></p>
									            <?php 
									        }
										}
									}
								}
			                ?>
			            </div>
			            <?php 
			            	if(function_exists('krystal_shop_woocommerce_show_cart')) :
			            		krystal_shop_woocommerce_show_cart();		
			            	endif; 
			            ?>
			            <div class="top-menu navbar" id="top-menu-wrapper">
			            	<div class="navigation">
	                           	<nav class="krystal-main-menu navbar" id="krystal-main-menu-wrapper">
                                    <div class="navbar-header">
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-1" aria-expanded="false">
                                        	<span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'krystal' ); ?></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>
                                    </div>
                                    <div class="collapse navbar-collapse" id="navbar-collapse-1">
	                                    <?php
	                                        wp_nav_menu( array(
	                                            'theme_location'    => 'primary',
	                                            'depth'             => 3,  // This displays menu level of depth 3 only
	                                            'container'         => 'ul',
	                                            'container_class'   => '',
	                                            'container_id'      => 'menu-primary',
	                                            'menu_class'        => 'nav',
	                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
	                                            'walker'            => new wp_bootstrap_navwalker())
	                                        );
	                                    ?>
	                                    <a class="popup-close hidden-md hidden-lg" href="#"></a>
	                                </div>
	                            </nav>
	                        </div>
	                    </div>
		            </div>
		        </div>
		    </div>
	    </header> 
	<?php		

}
endif;


if ( ! function_exists( 'krystal_shop_action_header_hook' ) ) :
function krystal_shop_action_header_hook() {
	if("style1" === esc_html(get_theme_mod( 'kr_header_styles','style1'))) {
	    add_action( 'krystal_action_header', 'krystal_shop_header_style_1' );
	}
	else{
	    add_action( 'krystal_action_header', 'krystal_shop_header_style_2' );
	}
}
endif;
add_action( 'wp', 'krystal_shop_action_header_hook' );


/**
 * Function for Minimizing dynamic CSS
 */
function krystal_shop_minimize_css($css){
    $css = preg_replace('/\/\*((?!\*\/).)*\*\//', '', $css);
    $css = preg_replace('/\s{2,}/', ' ', $css);
    $css = preg_replace('/\s*([:;{}])\s*/', '$1', $css);
    $css = preg_replace('/;}/', '}', $css);
    return $css;
}